DPDK patches and discussions
 help / color / mirror / Atom feed
* [PATCH] doc: support IPsec Multi-buffer lib v1.1
@ 2021-11-18 14:34 Pablo de Lara
  2021-11-23 13:16 ` Zhang, Roy Fan
  0 siblings, 1 reply; 3+ messages in thread
From: Pablo de Lara @ 2021-11-18 14:34 UTC (permalink / raw)
  To: roy.fan.zhang; +Cc: dev, Pablo de Lara

Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD documentation
guides with information about the latest Intel IPSec Multi-buffer
library supported.

Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
---
 doc/guides/cryptodevs/aesni_gcm.rst | 8 ++++----
 doc/guides/cryptodevs/aesni_mb.rst  | 8 ++++----
 doc/guides/cryptodevs/kasumi.rst    | 8 ++++----
 doc/guides/cryptodevs/snow3g.rst    | 8 ++++----
 doc/guides/cryptodevs/zuc.rst       | 8 ++++----
 5 files changed, 20 insertions(+), 20 deletions(-)

diff --git a/doc/guides/cryptodevs/aesni_gcm.rst b/doc/guides/cryptodevs/aesni_gcm.rst
index bbe9d99840..99a8979d49 100644
--- a/doc/guides/cryptodevs/aesni_gcm.rst
+++ b/doc/guides/cryptodevs/aesni_gcm.rst
@@ -40,8 +40,8 @@ Installation
 To build DPDK with the AESNI_GCM_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 .. code-block:: console
 
@@ -84,8 +84,8 @@ and the external crypto libraries supported by them:
    17.08 - 18.02  Multi-buffer library 0.46 - 0.48
    18.05 - 19.02  Multi-buffer library 0.49 - 0.52
    19.05 - 20.08  Multi-buffer library 0.52 - 0.55
-   20.11 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.11 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/aesni_mb.rst b/doc/guides/cryptodevs/aesni_mb.rst
index 948128ae9b..1777eb25c1 100644
--- a/doc/guides/cryptodevs/aesni_mb.rst
+++ b/doc/guides/cryptodevs/aesni_mb.rst
@@ -86,8 +86,8 @@ Installation
 To build DPDK with the AESNI_MB_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 .. code-block:: console
 
@@ -132,8 +132,8 @@ and the Multi-Buffer library version supported by them:
    18.05 - 19.02   0.49 - 0.52
    19.05 - 19.08   0.52
    19.11 - 20.08   0.52 - 0.55
-   20.11 - 21.08   0.53 - 1.0*
-   21.11+          1.0*
+   20.11 - 21.08   0.53 - 1.1*
+   21.11+          1.0  - 1.1*
    ==============  ============================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/kasumi.rst b/doc/guides/cryptodevs/kasumi.rst
index bc82744fcc..72318f2bd4 100644
--- a/doc/guides/cryptodevs/kasumi.rst
+++ b/doc/guides/cryptodevs/kasumi.rst
@@ -36,8 +36,8 @@ Installation
 To build DPDK with the KASUMI_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -78,8 +78,8 @@ and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.11 - 19.11  LibSSO KASUMI
-   20.02 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.02 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/snow3g.rst b/doc/guides/cryptodevs/snow3g.rst
index 4ba71d66ce..68a1462c13 100644
--- a/doc/guides/cryptodevs/snow3g.rst
+++ b/doc/guides/cryptodevs/snow3g.rst
@@ -35,8 +35,8 @@ Installation
 To build DPDK with the SNOW3G_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -77,8 +77,8 @@ and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.04 - 19.11  LibSSO SNOW3G
-   20.02 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.02 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
diff --git a/doc/guides/cryptodevs/zuc.rst b/doc/guides/cryptodevs/zuc.rst
index 8c925665b5..c5f0ded34e 100644
--- a/doc/guides/cryptodevs/zuc.rst
+++ b/doc/guides/cryptodevs/zuc.rst
@@ -35,8 +35,8 @@ Installation
 To build DPDK with the ZUC_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v1.0, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
+The latest version of the library supported by this PMD is v1.1, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.1.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -77,8 +77,8 @@ and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.11 - 19.11  LibSSO ZUC
-   20.02 - 21.08  Multi-buffer library 0.53 - 1.0*
-   21.11+         Multi-buffer library 1.0*
+   20.02 - 21.08  Multi-buffer library 0.53 - 1.1*
+   21.11+         Multi-buffer library 1.0  - 1.1*
    =============  ================================
 
 \* Multi-buffer library 1.0 or newer only works for Meson but not Make build system.
-- 
2.25.1


^ permalink raw reply	[flat|nested] 3+ messages in thread

* RE: [PATCH] doc: support IPsec Multi-buffer lib v1.1
  2021-11-18 14:34 [PATCH] doc: support IPsec Multi-buffer lib v1.1 Pablo de Lara
@ 2021-11-23 13:16 ` Zhang, Roy Fan
  2021-11-23 18:58   ` Akhil Goyal
  0 siblings, 1 reply; 3+ messages in thread
From: Zhang, Roy Fan @ 2021-11-23 13:16 UTC (permalink / raw)
  To: De Lara Guarch, Pablo; +Cc: dev

> -----Original Message-----
> From: De Lara Guarch, Pablo <pablo.de.lara.guarch@intel.com>
> Sent: Thursday, November 18, 2021 2:34 PM
> To: Zhang, Roy Fan <roy.fan.zhang@intel.com>
> Cc: dev@dpdk.org; De Lara Guarch, Pablo <pablo.de.lara.guarch@intel.com>
> Subject: [PATCH] doc: support IPsec Multi-buffer lib v1.1
> 
> Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD
> documentation
> guides with information about the latest Intel IPSec Multi-buffer
> library supported.
> 
> Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
> ---
Acked-by: Fan Zhang <roy.fan.zhang@intel.com>

^ permalink raw reply	[flat|nested] 3+ messages in thread

* RE: [PATCH] doc: support IPsec Multi-buffer lib v1.1
  2021-11-23 13:16 ` Zhang, Roy Fan
@ 2021-11-23 18:58   ` Akhil Goyal
  0 siblings, 0 replies; 3+ messages in thread
From: Akhil Goyal @ 2021-11-23 18:58 UTC (permalink / raw)
  To: Zhang, Roy Fan, De Lara Guarch, Pablo; +Cc: dev

> > Subject: [PATCH] doc: support IPsec Multi-buffer lib v1.1
> >
> > Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD
> > documentation
> > guides with information about the latest Intel IPSec Multi-buffer
> > library supported.
> >
> > Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
> > ---
> Acked-by: Fan Zhang <roy.fan.zhang@intel.com>
Applied to dpdk-next-crypto


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-11-23 18:58 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-11-18 14:34 [PATCH] doc: support IPsec Multi-buffer lib v1.1 Pablo de Lara
2021-11-23 13:16 ` Zhang, Roy Fan
2021-11-23 18:58   ` Akhil Goyal

DPDK patches and discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.dpdk.org/dev/0 dev/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 dev dev/ http://inbox.dpdk.org/dev \
		dev@dpdk.org
	public-inbox-index dev

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.dev


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git